From 49643f7f17038f53e192c1f491c1df5595b41933 Mon Sep 17 00:00:00 2001
From: Christian Engwer <christi@dune-project.org>
Date: Wed, 4 Nov 2009 09:23:50 +0000
Subject: [PATCH] add missing parentheses

[[Imported from SVN: r5685]]
---
 bin/dunedoxynize | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/bin/dunedoxynize b/bin/dunedoxynize
index e8fe949d0..cd33c85e4 100755
--- a/bin/dunedoxynize
+++ b/bin/dunedoxynize
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -x
+
 export DOXYOUT=${1:-doc/doxygen/Doxyfile.in}
 shift
 export DOXYDIR=doc/doxygen/
@@ -115,7 +117,7 @@ if ! find_doxystyle; then
 fi
 
 # make sure that there is at least one Doxylocal file
-if ! test_doxylocal "${@:-.}" || [ $# -eq 0 ]; then
+if ! (test_doxylocal "${@:-.}" || [ $# -eq 0 ]); then
   echo "Error: you didn't supply any valid Doxylocal file"
   exit 1
 fi
-- 
GitLab